Get Answers

This endpoint is used for fetching survey answers along with basic survey data and aggregated NPS scores.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "date_shortcut": "all_time",
  "comment_content": "great",
  "order_by": "rating",
  "order_type": "asc",
  "with_comments": true,
  "answer_type": "promoters",
  "properties" : {"color" : "RkJrQllReklDTmk0cmRtTUVMUGw2SWJKUStHTk1lZG5WMFppSUIzdmxvOD0=,czhlUW5yZXdNR0t5eW16T3A5OWx3RXJnV2FNaDNEc0J1K2FMdGFUSVRwMD0=",
                 "country" : "Yzg4TDJwVnNtNDM2Nm1Ca2hpdjMrUmdBODN4Z1Blb053cFB3eFo4MmR4dz0="},
  "page": 1
}

Response attributes

AttributeTypeDescription
surveyobjectSurvey information data.
survey.titlestringSurvey title.
survey.statusstringSurvey status. One of: draft, active
survey.public_hash_idstringSurvey public hash id used to identify survey.
survey.inserted_atdateSurvey creation date.
propertiesarrayList of properties for the survey answers.
properties.namestringProperty name.
properties.valuestringProperty value.
properties.idnumberProperty Id.
metaobjectResult metadata.
meta.totalnumberNumber of answers.
meta.total_pagesnumberNumber of pages.
meta.per_pagenumberNumber of answers per page.
meta.pagenumberCurrent results page.
answersarraySurvey answer.
answers.idstringAnswer identifier.
answers.score_typestringScore type for the answer.
answers.scorenumberActual score for the answer.
answers.sentimentnumberOverall sentiment of the answer.
answers.sentiment_per_label_nameobjectSentiment of the specific label.
answers.namestringName of survey recipient who submitted the answer.
answers.recipient_idstringID of a recipient who submitted the answer.
answers.property_idsarrayArray of property identifiers for the answer.
answers.metatagsobjectList of metatags for the answer.
answers.labelsarrayList of labels for the answer.
answers.labels_with_keywordsobjectLabel names with keywords.
answers.inserted_atdateDate when an answer has been submitted.
answers.emailstringEmail of survey recipient who submitted the answer. Deprecated
answers.identitystringIdentity of survey recipient who submitted the answer.
answers.identity_typestringIdentity type of survey recipient who submitted the answer. One of: email, custom
answers.commentstringAnswer comment of survey recipient who submitted the answer.
answers.translated_commentstringTranslated comment.
answers.additional_answersobjectAdditional answers.
answers.additional_answers.additional_question_idstringAdditional question public_hash_id.
answers.additional_answers.answerstringAdditional answer content.
answers.additional_answers.inserted_atdateDate when an answer was submitted.
answers.additional_questionsobjectAdditional answers - questions with answers.
Path Params
string
required

Unique ID of a survey

Query Params
string
Defaults to all_time

Date range for which we want to fetch answers. Allowed values: today, yesterday, last_week, last_month, last_7_days, last_30_days, all_time, custom

string

Comment content filter for the answers.

string

Result sort. Allowed values: rating, inserted_at

string
Defaults to desc

Sort answer ascending or descending. Allowed values: asc, desc

boolean

Filters answer with comments only. Allowed values: true, false

string

Filters particular answers type only. Allowed values: detractors, passives, promoters

int32
Defaults to 1

Number of the page of the results you would like to get.

string

Filter by properties. The key should be the name of the property, the value should be a list of comma-separated property public hash ids. E.g. properties[color]=RkJrQllReklDTmk0cmRtTUVMUGw2SWJKUStHTk1lZG5WMFppSUIzdmxvOD0=,czhlUW5yZXdNR0t5eW16T3A5OWx3RXJnV2FNaDNEc0J1K2FMdGFUSVRwMD0=

boolean

Value true returns only answers with identity. Value false returns only answers without identity.

date

Parameter required when date_shortcut is set to custom. Filters answers only received after specific datetime. Format: 2021-10-24T03:30:30Z or 2021-10-24

date

Parameter required when date_shortcut is set to custom. Filters answers only received before specific datetime. Format: 2021-10-24T03:30:30Z or 2021-10-24

Headers
string
required
Defaults to Bearer <token>
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json